Subject: [bug#76270] [PATCH v2 1/2] gnu: maxima: Compile with ecl instead of sbcl.

From: Guillaume Le Vaillant <[email-masked]>
Date: Fri, 14 Feb 2025 19:31:11 +0000

Andreas Enge <[email-masked]> skribis:

> Am Fri, Feb 14, 2025 at 07:30:42PM +0100 schrieb Andreas Enge:
>> I use "package/inherit" in the patch, and experimentally it did not work
>> when I moved the package definition into the different module sagemath.
>> Is that true? In that case, I would have to use regular inheritance.
>
> Well, that also does not work. I import the (gnu packages maths) module
> in sagemath.scm, and the variable maxima can be used, but also
> (define-public maxima-ecl
>   (package
>     (inherit maxima)
>     (name "maxima-ecl")
> ...
> leads to the error message
> ice-9/eval.scm:293:34: error: maxima: unbound variable
> hint: Did you forget a `use-modules' form?
>
> Can this be worked around? Or do I need to keep maxima-ecl in the same
> module as maxima (maths.scm) and mark maxima-ecl as hidden?
> Or should I move both to the sagemath module?
>
> Andreas

Keeping both maxima versions in "math.scm" and making the one using ecl
hidden seems like a good way to do it. You could even name it
maxima-for-sage instead of maxima-ecl if it makes it clearer why it's
there...